
#include "aboutframe.h"


enum {
	ID_ABOUTEXIT = 3100
};

IMPLEMENT_CLASS(AboutFrame, wxDialog)

BEGIN_EVENT_TABLE(AboutFrame, wxDialog)
	EVT_BUTTON(ID_ABOUTEXIT, AboutFrame::OnButton)
END_EVENT_TABLE()

AboutFrame::AboutFrame(wxWindow* parent, wxWindowID id, const wxPoint& pos, const wxSize& size) 
	:wxDialog(parent, id, _T("About: WoW Model Viewer"), pos, size, wxCAPTION)
{
	wxStaticText *text = new wxStaticText(this, -1, _T("\
Developers:\n\
UfoZ,  Darjk\n\n\
Pioneers:\nUfoZ,  Linghuye,  nSzAbolcs\n\n\
Translators:\nCulhag (French), Die_Backe (Deutsch)\n\n\
Developed Using:\nwxWidgets(2.6.1), wxIFM(1.0.5), OpenGL,\n\
zlib, CxImage(5.99c), MPQLib, DDSLib\n\n\
Build Info:\nVersion 0.47 compiled using Visual C++ 7.1 for\n\
Windows 98\\ME\\2000\\XP on 24th January 2006\n\n\
http://www.curse-gaming.com/mod.php?addid=2090\n\
http://wowmapview.sourceforge.net/wiki/index.php\n\
http://wowmapview.sourceforge.net/wowmodelview/\n\
http://www.pyoro.com/wowmapview.html\n\n\n\
World of Warcraft is a Registered trademark of\n\
Blizzard Entertainment. All game material and content is\n\
2006 Blizzard Entertainment. All rights reserved.\n\
											"), wxPoint(10,10), wxDefaultSize);

	wxButton *btnExit = new wxButton(this, ID_ABOUTEXIT, _("Close"), wxPoint(120, 365), wxSize(60,26));
}

AboutFrame::~AboutFrame()
{
	
}

void AboutFrame::OnButton(wxCommandEvent &event)
{
	if (event.GetId() == ID_ABOUTEXIT)
		this->Close(false);
}

